<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shkj.wms.mapper.BusinPickupMapper">

       <select id="getBusinPickupDtlList" resultType="com.shkj.wms.vo.BusinPickupVo" parameterType="com.shkj.wms.bo.BusinPickupQueryBo">

           select taskgoods.qr_code,
           barin.color,
           barin.vehiche_model,
           barin.location,
           barin.location_code,
           barin.is_split,
           barin.is_punching,
           task.task_type,
           taskdtl.end_location
           from busin_data_task task
           inner join
           busin_data_task_detail taskdtl on task.task_code=taskdtl.task_code
           inner join busin_data_task_goods taskgoods on task.task_code=taskgoods.task_code
           inner join base_container container on container.id=task.container_id
           inner join base_barcodes_in barin on barin.qr_code=taskgoods.qr_code
        <where>

        <if test="keywords !=null and keywords !='' ">
            taskgoods.qr_code =#{keywords} or container.container_code =#{keywords}
        </if>

        </where>
    </select>
</mapper>
